[POP3/SSL] net/protocol.rb:44: warning: verify_hostname requires hostname to be set

06/04/2018 04:24 PM - hkamphor (Jos Kamphorst)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

When enabling SSL with POP3 like this:

require 'net/pop'

Net::POP.enable_ssl

Net::POP3.start(...) |pop|

...

 A warning like this will be generated:

net/protocol.rb:44: warning: verify_hostname requires hostname to be set

This happens because SSLContext default is :verify_hostname => true.

The attached patch fixes this by setting the SSLSocket#hostname variable to the address which is given during Net::POP3.start.

Associated revisions

Revision 4a5e07d8e17a0f62810f983114a88cb1011f971b - 06/20/2019 05:22 PM - jeremyevans (Jeremy Evans)

Avoid verbose warning when using Net::POP3 with SSL

Patch from Jos Kamphorst.

Fixes [Bug #14822]

Revision 4a5e07d8e17a0f62810f983114a88cb1011f971b - 06/20/2019 05:22 PM - jeremyevans (Jeremy Evans)

Avoid verbose warning when using Net::POP3 with SSL

Patch from Jos Kamphorst.

Fixes [Bug #14822]

Revision 4a5e07d8 - 06/20/2019 05:22 PM - jeremyevans (Jeremy Evans)

Avoid verbose warning when using Net::POP3 with SSL

Patch from Jos Kamphorst.

Fixes [Bug #14822]

History

#1 - 06/20/2019 05:27 PM - jeremyevans0 (Jeremy Evans)

I can reproduce this issue, and have confirmed your fix removes the warning.  It would have been helpful to mention that this warning is only printed in

verbose mode. :)

#2 - 06/20/2019 05:28 PM - jeremyevans (Jeremy Evans)

- Status changed from Open to Closed

Applied in changeset git|4a5e07d8e17a0f62810f983114a88cb1011f971b.

Avoid verbose warning when using Net::POP3 with SSL
Patch from Jos Kamphorst.

Fixes [Bug #14822]
pop_ssl_verify_hostname.patch 881 Bytes 06/04/2018 hkamphor (Jos Kamphorst)
